Loading...
Searching...
No Matches
Opm::BlackOilPolymerParams< Scalar > Struct Template Reference

Struct holding the parameters for the BlackOilPolymerModule class. More...

`#include <blackoilpolymerparams.hpp>`

## Classes

struct | PlyvmhCoefficients
struct | SkprpolyTable

## Public Types

enum | AdsorptionBehaviour { Desorption = 1 , NoDesorption = 2 }
using | TabulatedFunction = Tabulated1DFunction<Scalar>
using | TabulatedTwoDFunction = IntervalTabulated2DFunction<Scalar>

## Public Member Functions

void | setNumSatRegions (unsigned numRegions)
| Specify the number of satuation regions.
void | setNumMixRegions (unsigned numRegions, bool enablePolymerMolarWeight)
| Specify the number of mix regions.
void | setPlyrock (unsigned satRegionIdx, const Scalar &plyrockDeadPoreVolume, const Scalar &plyrockResidualResistanceFactor, const Scalar &plyrockRockDensityFactor, const Scalar &plyrockAdsorbtionIndex, const Scalar &plyrockMaxAdsorbtion)
| Specify the polymer rock properties a single region.

## Public Attributes

std::vector< Scalar > | plyrockDeadPoreVolume_ {}
std::vector< Scalar > | plyrockResidualResistanceFactor_ {}
std::vector< Scalar > | plyrockRockDensityFactor_ {}
std::vector< Scalar > | plyrockAdsorbtionIndex_ {}
std::vector< Scalar > | plyrockMaxAdsorbtion_ {}
std::vector< TabulatedFunction > | plyadsAdsorbedPolymer_ {}
std::vector< TabulatedFunction > | plyviscViscosityMultiplierTable_ {}
std::vector< Scalar > | plymaxMaxConcentration_ {}
std::vector< Scalar > | plymixparToddLongstaff_ {}
std::vector< std::vector< Scalar > > | plyshlogShearEffectRefMultiplier_ {}
std::vector< std::vector< Scalar > > | plyshlogShearEffectRefLogVelocity_ {}
std::vector< Scalar > | shrate_ {}
bool | hasShrate_ = false
bool | hasPlyshlog_ = false
std::vector< PlyvmhCoefficients > | plyvmhCoefficients_ {}
std::map< int, TabulatedTwoDFunction > | plymwinjTables_ {}
std::map< int, TabulatedTwoDFunction > | skprwatTables_ {}
std::map< int, SkprpolyTable > | skprpolyTables_ {}

## Detailed Description

template<class Scalar>
struct Opm::BlackOilPolymerParams< Scalar >

Struct holding the parameters for the BlackOilPolymerModule class.

## Member Function Documentation

## setNumMixRegions()

template<class Scalar>

void Opm::BlackOilPolymerParams< Scalar >::setNumMixRegions | ( | unsigned | numRegions,
|  | bool | enablePolymerMolarWeight )

Specify the number of mix regions.

This must be called before setting the PLYMAC and PLMIXPAR of any region.

## setNumSatRegions()

template<class Scalar>

void Opm::BlackOilPolymerParams< Scalar >::setNumSatRegions | ( | unsigned | numRegions | ) |

Specify the number of satuation regions.

This must be called before setting the PLYROCK and PLYADS of any region.

## setPlyrock()

template<class Scalar>

void Opm::BlackOilPolymerParams< Scalar >::setPlyrock | ( | unsigned | satRegionIdx,
|  | const Scalar & | plyrockDeadPoreVolume,
|  | const Scalar & | plyrockResidualResistanceFactor,
|  | const Scalar & | plyrockRockDensityFactor,
|  | const Scalar & | plyrockAdsorbtionIndex,
|  | const Scalar & | plyrockMaxAdsorbtion )

Specify the polymer rock properties a single region.

The index of specified here must be in range [0, numSatRegions)

The documentation for this struct was generated from the following files:

- opm/models/blackoil/blackoilpolymerparams.hpp
- opm/models/blackoil/blackoilpolymerparams.cpp